MoonPhase Web App v 1.0.2 
=============================

1. About MoonPhase Web App project
----------------------------------

    The Moon is one of the most enigmatic and mystical planets of the Solar system.
    Phases of the Moon affect world events on people's behavior, and their feelings.

    A.V.T. Software presents MoonPhase Web App for calculating 
    and displaying the current Moon Phase, and the Lunar Day. 
    For residents of Northern, and Southern Hemispheres.
    MoonPhase Web App uses the W3C Geolocation API (GeoIP).
    
    The MoonPhase Web App was designed for educational and cognitive purposes.

    The first release of the MoonPhase Web App was created to participate in 
    the international competition Intel AppUp Developer Challenge: Web Apps Edition, 
    organized by Intel in January 2012.
    
    In August 2017 the A.V.T. Software( https://software.avt.dn.ua ) team 
    has made a decision to publish the MoonPhase Web App on GitHUB 
    as an open source project.
    
    In honor of the 15th Anniversary of A.V.T. Company ( https://avt.dn.ua ).


2. Using MoonPhase Web App
---------------------------
    
    2.1 When the index.html file is opened in the browser, the user needs 
        to allow the application to determine the current user location 
        in order to correctly display the moon, 
        its phase and lunar day for the northern or southern hemisphere.
    
    2.2 The MoonPhase Web App contains following menu items:
            - About
            - Help
            - Privacy Policy
	
	
3. Compatibility
-----------------		
    3.1 The MoonPhase Web App has been successfully tested in the following desktop 
        browsers:
            - FireFox v 55.0.2
            - Google Chrome v 60.0.3112.113
            - Microsoft Edge v 40.15063.0.0
            - Microsoft Internet Explorer 11 v 11.540.15063.0

    3.2 The MoonPhase Web App has been successfully tested with the following 
        screen resolutions:
            - 1280x768 (the minimum acceptable resolution)
            - 1280x1024 (optimal resolution)
            Note: Unfortunately, in the current version of the MoonPhase Web App 
              does not use responsive web design.

4. Used web technologies, libraries and frameworks
--------------------------------------------------
    4.1 HTML5
    4.2 CSS3
    4.3 JavaScript
    4.4 jQuery JavaScript Library v1.5.1 http://jquery.com/ by John Resig
    4.5 jQuery UI 1.8.11 http://docs.jquery.com/UI 
        by http://jqueryui.com/about
    4.6 GeoIP API from MaxMind (https://www.maxmind.com/en/home) (v1.0.0)
    4.7 W3C Geolocation API library  (https://www.w3.org/TR/geolocation-API/)
    4.8 Moving Boxes Content with jQuery 
        (https://tympanus.net/codrops/2011/03/28/moving-boxes-content/) 
        which was created by Mary Lou
        (https://tympanus.net/codrops/author/crnacura/) 
        uses the following libraries:
            4.8.1 jQuery Easing v1.3 - http://gsgd.co.uk/sandbox/jquery/easing/
                  by George McGinley Smith
            4.8.2 jScrollPane - v2.0.0beta9 - 2011-02-04 
                  http://jscrollpane.kelvinluck.com/ by Kelvin Luck
            4.8.3 jQuery Mousewheel by Brandon Aaron (http://brandonaaron.net)
            4.8.4 jQuery 2d Transform v0.9.3 
                  http://wiki.github.com/heygrady/transform/
                  by Grady Kuhnline

                  
    

5. Release notes for MoonPhase Web App
---------------------------------------

    v1.0.2 
        The current open source version for publish in GitHUB
        In the current version of the MoonPhase Web App project, 
        minor changes and additions were made: 
            - Fixed: To calculate a latitude, the W3C Geolocation API library 
              is used instead of GeoIP from MaxMind;
            - Improved: New amazing visual effects are added from 
              the Moving Boxes Content with jQuery 
              (https://tympanus.net/codrops/2011/03/28/moving-boxes-content/), 
              which was created by Mary Lou
              (https://tympanus.net/codrops/author/crnacura/).


    v 1.0.0 
        First release for Intel AppUp center, 
        and Intel AppUp Developer Challenge: Web Apps Edition
            - New: To calculate a latitude, the GeoIP from MaxMind is used
            - New: Amazing visual effects are used from 
              the Moving Boxes Content with jQuery 
              (https://tympanus.net/codrops/2011/03/28/moving-boxes-content/), 
              which was created by Mary Lou
              (https://tympanus.net/codrops/author/crnacura/).


                
		
		



